#include "opencv2/opencv.hpp"

int main()
{
    int thresh = 128, max = 255;
    cv::Mat input = cv::imread("../lena.jpg", cv::IMREAD_GRAYSCALE);
    int cols = input.cols, rows = input.rows;
	cv::Mat output(rows, cols, CV_8U);

	for (int j = 0; j < rows; j++) {
		for (int i = 0; i < cols; i++) {
			if (input.at<uchar>(j, i) >= thresh) {
				output.at<uchar>(j, i) = max;
			} else {
				output.at<uchar>(j, i) = 0;
			}
		}
	}

    cv::namedWindow("disp", cv::WINDOW_AUTOSIZE);
    cv::imshow("disp", output);
    cv::waitKey(0);
    return 0;
}
