#include "opencv2/opencv.hpp"

int main()
{
    cv::VideoCapture cap(0);
    cv::Mat input, output;
    cv::namedWindow("disp", cv::WINDOW_AUTOSIZE);

    while (1) {
        cap >> input;
        cv::cvtColor(input, input, CV_BGR2GRAY);
        cv::threshold(input, output, 128, 255, cv::THRESH_BINARY);
        cv::imshow("disp", output);
        if (cv::waitKey(30) > 0) {
            break;
        }
    }

    return 0;
}
